# Poll | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Class Poll

- Defined in: Poll.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Poll(question)

Field Summary
Field Attributes | Field Name and Description
--- | ---
<private> | _children
| closed
| created
| creator
| modified
| modifier
| question
| site
| status
| votes

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | Poll.add(question, site)
| closed_macro(param, format)
| getConfirmText()
| getFormOptions(name)
| getPermission(action)
<static> | Poll.getStatus(ctor)
| input_macro(param, name)
| link_macro(param, action, text)
<static> | Poll.remove()
| update(data)
| vote(data)
| votes_macro()

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormValue
  getMetadata
  getTags
  getTitle
  handleMetadata
  kind_macro
  link_filter
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onCodeUpdate
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Poll(question)

Parameters:
{String} question

## Field Detail

<private> {Choice[]} _children
{String} closed
{Date} created
{User} creator
{Date} modified
{User} modifier
{String} question
{Site} site
{String} status
{Vote[]} votes

## Method Detail

- <static> Poll.add(question, site)
  Parameters:
  {String} question
  site
- closed_macro(param, format)
  Parameters:
  {Object} param
  {String} format
- {String} getConfirmText()
  Returns:
    {String}
- {Object} getFormOptions(name)
  Parameters:
  {String} name
  Returns:
    {Object}
- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}
- <static> {String[]} Poll.getStatus(ctor)
  Parameters:
  {String} ctor
  Returns:
    {String[]}
  See:
    defineConstants
- input_macro(param, name)
  Parameters:
  {Object} param
  {String} name
  See:
    HopObject#link_macro
- link_macro(param, action, text)
  Parameters:
  {Object} param
  {String} action
  {String} text
  See:
    HopObject#link_macro
- <static> Poll.remove()
- update(data)
  Parameters:
  {Object} data
- vote(data)
  Parameters:
  {Object} data
- votes_macro()